POST api/MO/Task

Request Information

URI Parameters

None.

Body Parameters

DTO_MtrlPickReq
NameDescriptionTypeAdditional information
billNo

string

None.

mobillNo

string

None.

workshop

string

None.

stockCode

string

None.

supplier

string

None.

billType

string

None.

materialCode

string

None.

materialName

string

None.

specification

string

None.

Request Formats

application/json, text/json

Sample:
{
  "billNo": "sample string 1",
  "mobillNo": "sample string 2",
  "workshop": "sample string 3",
  "stockCode": "sample string 4",
  "supplier": "sample string 5",
  "billType": "sample string 6",
  "materialCode": "sample string 7",
  "materialName": "sample string 8",
  "specification": "sample string 9"
}

application/xml, text/xml

Sample:
<DTO_MtrlPickReq xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/K3Wise.Std.WebAPI.Models">
  <billNo>sample string 1</billNo>
  <billType>sample string 6</billType>
  <materialCode>sample string 7</materialCode>
  <materialName>sample string 8</materialName>
  <mobillNo>sample string 2</mobillNo>
  <specification>sample string 9</specification>
  <stockCode>sample string 4</stockCode>
  <supplier>sample string 5</supplier>
  <workshop>sample string 3</workshop>
</DTO_MtrlPickReq>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.